import java.sql.*;
class Supplier {
	// Note: We are using the relational database in a very simple way here!!
	private static String sqlWrite="INSERT INTO SUPPLIER (SNO, CITY, SNAME) VALUES (?,?,?)";
	private static String sqlReadByName="SELECT SNO, CITY, SNAME FROM SUPPLIER WHERE SNAME=?;";
	private static String sqlReadBySno="SELECT SNO, CITY, SNAME FROM SUPPLIER WHERE SNO=?;";

	private int sno;
	private String name;
	private String city;
	Supplier(int sno, String name, String city){
		this.sno=sno; this.name=name; this.city=city;
	}
	public int getSNO(){ return(sno); }
	public String getName(){ return(name); }
	public String getCity(){ return(city); }

	public void write(Connection con) throws SQLException {
		PreparedStatement ps = con.prepareStatement(sqlWrite);
		ps.setInt(1,getSNO());
		ps.setString(2,getCity());
		ps.setString(3,getName());
		ps.executeUpdate();
		ps.close();
	}
}
