<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:template match="/resume">
    <html>
	<head>
	    <title>
		<xsl:value-of select="name/first"/>
		<![CDATA[ ]]>
		<xsl:value-of select="name/last"/>
		Resume
	    </title>
	</head>

	<body> 
	    <h1>
		<xsl:value-of select="name/first"/> 
		<![CDATA[ ]]>
		<xsl:value-of select="name/last"/> 
		Resume
	    </h1>

	    <p>
		<xsl:value-of select="description"/> 
	    </p>

	    <h2>Education</h2>
	    <ul>
		<xsl:apply-templates select="education"/>
	    </ul>
	</body>
    </html>
</xsl:template>
		
<xsl:template match="education">
    <li>
	<xsl:value-of select="institution"/>,
	<xsl:value-of select="years/from"/>-<xsl:value-of select="years/to"/>
	<xsl:if test="degree">
	    , <xsl:value-of select="degree"/>
	</xsl:if>
    </li>
</xsl:template>

</xsl:stylesheet>
