import java.sql.*;
public class Example {
	protected Connection con;

	Example(){
		try { 
			// Load the JDBC-ODBC bridge driver
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver"); 
		} catch(java.lang.ClassNotFoundException e) {
			System.err.print("ClassNotFoundException: "); 
			System.err.println(e.getMessage());
		}
		try {
			// Should have a odbc datasource with the name supplier-part
			String url = "jdbc:odbc:supplier-part";

			// This database requires no userid/password to login
			con = DriverManager.getConnection(url, "", "");
		} catch(SQLException ex) {
			System.err.println("SQLException: " + ex.getMessage());
		}
	}
}
